Bug 809294 - SELinux is preventing /usr/bin/python from using the 'signal' accesses on a process. I was running: systemctl start tuned.service
SELinux is preventing /usr/bin/python from using the 'signal' accesses on a p...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:cbd7d51429ab88fd1f94bad58c2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-02 21:13 EDT by Michal Ambroz
Modified: 2012-04-04 17:11 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.10.0-110.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-04 17:11:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Ambroz 2012-04-02 21:13:20 EDT
libreport version: 2.0.10
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.0-8.fc17.x86_64
time:           Tue 03 Apr 2012 03:12:16 AM CEST

description:
:SELinux is preventing /usr/bin/python from using the 'signal' accesses on a process.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that python should be allowed signal access on processes labeled tuned_t by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep tuned /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:tuned_t:s0
:Target Context                system_u:system_r:tuned_t:s0
:Target Objects                 [ process ]
:Source                        tuned
:Source Path                   /usr/bin/python
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           python-2.7.2-18.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-106.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.0-8.fc17.x86_64 #1 SMP
:                              Thu Mar 29 18:18:26 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    Tue 03 Apr 2012 03:11:16 AM CEST
:Last Seen                     Tue 03 Apr 2012 03:11:16 AM CEST
:Local ID                      27137801-7491-4ca9-9ab7-49d2de7d94a1
:
:Raw Audit Messages
:type=AVC msg=audit(1333415476.913:1130): avc:  denied  { signal } for  pid=9426 comm="tuned" scontext=system_u:system_r:tuned_t:s0 tcontext=system_u:system_r:tuned_t:s0 tclass=process
:
:
:type=SYSCALL msg=audit(1333415476.913:1130): arch=x86_64 syscall=kill success=no exit=EACCES a0=24d0 a1=a a2=0 a3=3370fb0848 items=0 ppid=9425 pid=9426 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=tuned exe=/usr/bin/python subj=system_u:system_r:tuned_t:s0 key=(null)
:
:Hash: tuned,tuned_t,tuned_t,process,signal
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Miroslav Grepl 2012-04-03 01:38:26 EDT
Fixed in selinux-policy-3.10.0-109.fc17.noarch
Comment 2 Fedora Update System 2012-04-03 03:44:38 EDT
selinux-policy-3.10.0-110.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-110.fc17
Comment 3 Fedora Update System 2012-04-04 17:11:29 EDT
selinux-policy-3.10.0-110.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.